#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi 

# paper is set as A4 change it if needed

# build depends 
export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"
su -c 'tce-load -i compiletc submitqc4 wget' tc 
su -c 'tce-load -i perl5 ' tc

P=psutils
PBIN=psutils/usr/local/bin/
SRC=src
D=psutils-doc
M=psutils-doc/usr/local/man/man1

# start
cd /tmp
su -c '/usr/local/bin/wget -nc http://gd.tuwien.ac.at/publishing/tex/tex-utils/psutils/psutils-p17.tar.gz \
-O /tmp/psutils-p17.tar.gz' tc

tar xvf ps*gz
# rename it 
mv psutils src
cd $SRC/
cp Makefile.unix Makefile
make -j3
touch /tmp/mark
make install
find /usr/local -newer /tmp/mark -not -type d > /tmp/list
# needs LICENSE 
# makefile already usr/local

# doc 
#####
cd /tmp
mkdir -p $D/usr/local/share/doc/$D
mkdir -p $M
cp $SRC/LICENSE $D/usr/local/share/doc/$D/
cp $SRC/README $D/usr/local/share/doc/$D/
cp /usr/local/share/man/man1/includeres.1  $M/
cp /usr/local/share/man/man1/extractres.1  $M/
cp /usr/local/share/man/man1/fixwwps.1     $M/
cp /usr/local/share/man/man1/fixwpps.1     $M/
cp /usr/local/share/man/man1/fixwfwps.1    $M/
cp /usr/local/share/man/man1/fixtpps.1     $M/
cp /usr/local/share/man/man1/fixpspps.1    $M/
cp /usr/local/share/man/man1/fixpsditps.1  $M/
cp /usr/local/share/man/man1/fixmacps.1    $M/
cp /usr/local/share/man/man1/fixfmps.1     $M/
cp /usr/local/share/man/man1/fixdlsrps.1   $M/
cp /usr/local/share/man/man1/getafm.1      $M/
cp /usr/local/share/man/man1/fixscribeps.1 $M/
cp /usr/local/share/man/man1/psmerge.1     $M/
cp /usr/local/share/man/man1/psresize.1    $M/
cp /usr/local/share/man/man1/psnup.1       $M/
cp /usr/local/share/man/man1/epsffit.1     $M/
cp /usr/local/share/man/man1/pstops.1      $M/
cp /usr/local/share/man/man1/psselect.1    $M/
cp /usr/local/share/man/man1/psbook.1      $M/

mksquashfs $D $D.tcz
md5sum $D.tcz > $D.tcz.md5.txt
cd $D
find usr -not -type d > $D.tcz.list
mv $D.tcz.list /tmp

# main
cd /tmp
mkdir -p $P/usr/local/bin
mkdir -p $P/usr/local/share/doc/$P
mkdir -p $P/usr/local/share/$P
cp $SRC/LICENSE $P/usr/local/share/doc/$P/
cp /usr/local/bin/showchar    $PBIN
cp /usr/local/bin/getafm      $PBIN
cp /usr/local/bin/psmerge     $PBIN
cp /usr/local/bin/includeres  $PBIN
cp /usr/local/bin/extractres  $PBIN
cp /usr/local/bin/fixdlsrps   $PBIN
cp /usr/local/bin/fixwwps     $PBIN
cp /usr/local/bin/fixscribeps $PBIN
cp /usr/local/bin/fixwpps     $PBIN
cp /usr/local/bin/fixwfwps    $PBIN
cp /usr/local/bin/fixtpps     $PBIN
cp /usr/local/bin/fixpspps    $PBIN
cp /usr/local/bin/fixpsditps  $PBIN
cp /usr/local/bin/fixmacps    $PBIN
cp /usr/local/bin/fixfmps     $PBIN
cp /usr/local/bin/psresize    $PBIN
cp /usr/local/bin/psnup       $PBIN
cp /usr/local/bin/epsffit     $PBIN
cp /usr/local/bin/pstops      $PBIN
cp /usr/local/bin/psselect    $PBIN
cp /usr/local/bin/psbook      $PBIN
cp /usr/local/share/psutils/md71_0.ps $P/usr/local/share/$P/
cp /usr/local/share/psutils/md68_0.ps $P/usr/local/share/$P/

mksquashfs $P $P.tcz
md5sum $P.tcz > $P.tcz.md5.txt
cd $P
find usr -not -type d > $P.tcz.list
mv $P.tcz.list /tmp

# finish off
cd /tmp
submitqc4
